#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libportal-0.9.1

- Next

  libptytty-2.0

- Up
- Home

# libproxy-0.5.12

## Introduction to libproxy

The libproxy package is a library that provides automatic proxy configuration management. This is useful in standardizing a way of dealing with proxy settings across all scenarios.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/libproxy/libproxy/archive/0.5.12/libproxy-0.5.12.tar.gz

- Download MD5 sum: db615bbae5c20eb209a2cdbfe62e0fa3

- Download size: 60 KB

- Estimated disk space required: 3.7 MB

- Estimated build time: less than 0.1 SBU (with tests)

### libproxy Dependencies

#### Recommended

cURL-8.19.0, duktape-2.7.0, GLib-2.88.0, Gi-DocGen-2026.1, gsettings-desktop-schemas-50.1, and Vala-0.56.19

## Installation of libproxy

Install libproxy by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..        \
          --prefix=/usr   \
          -D release=true &&

    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

Still as the `root` user, remove the useless static library:

    rm /usr/lib/libproxy.a

## Contents

Installed Programs: proxy
Installed Libraries: libproxy.so and libpxbackend-1.0.so
Installed Directories: /usr/include/libproxy, /usr/lib/libproxy, and /usr/share/doc/libproxy-1.0

### Short Descriptions

proxy | displays the proxy server that should be used to reach a given network resource
`libproxy.so` | provides a standard method of performing automatic proxy configuration

- Prev

  libportal-0.9.1

- Next

  libptytty-2.0

- Up
- Home